<?php

namespace KupShop\GraphQLBundle\ApiPublic\Types\Cart;

use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

/**
 * @Type()
 */
class Coupon
{
    protected string $couponCode;

    public function __construct(string $couponCode)
    {
        $this->couponCode = $couponCode;
    }

    /**
     * @Field
     */
    public function getCode(): string
    {
        return $this->couponCode;
    }
}
